
#include <stdio.h>
#include "EZ_Widget.h"
main()
{
  long tmp = -1;
  printf("%lx %d\n", tmp, tmp);
  printf("common= %d\n", sizeof(EZ_WidgetCommon));
  printf("widget = %d\n", sizeof(EZ_Widget));
  printf("Scroll = %d\n", sizeof(EZ_ScrollbarWidget));  
  printf("Label = %d\n", sizeof(EZ_LabelWidget));  
  printf("IText = %d\n", sizeof(EZ_ITextWidget));  
  printf("Slider = %d\n", sizeof(EZ_SliderWidget));  
  printf("Frame = %d\n", sizeof(EZ_FrameWidget));  
  printf("Label = %d\n", sizeof(EZ_LabelWidget));  
  printf("NBtn = %d\n", sizeof(EZ_ButtonWidget));
  printf("CBtn = %d\n", sizeof(EZ_CButtonWidget));
  printf("RBtn = %d\n", sizeof(EZ_RButtonWidget));
  printf("MBtn = %d\n", sizeof(EZ_MButtonWidget));
  printf("Entry= %d\n", sizeof(EZ_EntryWidget));
  printf("ListBox= %d\n", sizeof(EZ_ListBoxWidget));
  printf("Embeder = %d\n", sizeof(EZ_Embeder));  
  printf("IListbox = %d\n", sizeof(EZ_IListBoxWidget));  
  printf("ITreex = %d\n", sizeof(EZ_ITreeWidget));  
  printf("IFLBOX = %d\n", sizeof(EZ_IFancyListBox));
  printf("ITEM = %d\n", sizeof(EZ_Item));
  printf("IW = %d\n", sizeof(EZ_IWorkArea));
  printf("LED = %d\n", sizeof(EZ_LedWidget));
  printf("XWIN = %d\n", sizeof(EZ_RawXWindow));
  printf("SMeter = %d\n", sizeof(EZ_StatusMeter));
  printf("DnDInfo = %d\n", sizeof(EZ_DnDInfoStruct));
  printf("EXIT_FAILURE= %d\n",EXIT_FAILURE);
  printf("EZ_Value= %d\n", sizeof(EZ_Value));
}
